(* converts pure bin font file to assemler instructions *)
(* use it to convert screen font files to assembler include files *)
uses
  dos;
const
  dh : array [0..15] of char = ('0', '1', '2', '3', '4', '5', '6', '7', '8',
    '9', 'A', 'B', 'C', 'D', 'E', 'F');
var
  f : file of byte;
  tf : text;
  s : string[80];
  b, i : byte;
begin
  assign(f, paramstr(1));
  assign(tf, paramstr(2));
  reset(f);
  rewrite(tf);
  s := 'Fx8'#9'DB'#9;
  i := 0;
  repeat
    read(f, b);
    inc(i);
    s := s + '0' + dh[b div 16] + dh[b mod 16] + 'H';
    if i = 10 then begin
      writeln(tf, s);
      s := #9'DB'#9;
      i := 0
    end else
      s := s + ','
  until eof(f);
  if i <> 0 then begin
    s[0] := chr(length(s) - 1);
    writeln(tf, s)
  end;
  close(tf);
  close(f)
end.

